Subject: Re: Problem with CRLF line endings and colored diff

From: Jean-Luc Herren <[email-masked]>
Date: Wed, 15 Oct 2008 01:08:17 +0200

Junio C Hamano wrote:
> Jean-Luc Herren <[email-masked]> writes:
>>     <GREEN FOREGROUND>+<RESET><GREEN FOREGROUND>
>>     line2<RESET><RED BACKGROUND><CR><RESET><LF>
> 
> This is expected and deliberate, as you haven't told about your desire to
> consider carriage-returns not as line termination letter.  By default CR
> is just one of the whitespace letters, and colored diff output is
> reminding you that you introduced a line with a trailing whitespace.

Ah, I see, I didn't know I have to tell it that I want to use
CRLF...  Works fine now.  Sorry for the noise.

jlh